Skip to content
Endless Documentation

List ChatModels

GET
/chat-models

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
page_size?integer
Range1 <= value <= 100
Default25
search?string
owners?string|array<string>
plans?string|array<string>
visibility?string

Value in

  • "staff"
  • "public"
state?string
Default"active"

Value in

  • "active"
  • "retired"
  • "all"
readiness?string

Value in

  • "runnable"
  • "unrunnable"
sort?string
Default"weight"

Value in

  • "name"
  • "codename"
  • "weight"
  • "created"
  • "updated"
direction?string
Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

curl -X GET "https://example.com/chat-models"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "codename": "string",      "name": "string",      "owner": "string",      "description": "string",      "thinking_options": "string",      "cost_input": "string",      "cost_output": "string",      "cost_cache_read": "string",      "cost_cache_write": "string",      "minimum_required_plan": "hobby",      "weight": -2147483648,      "staff": true,      "deleted_at": "2019-08-24T14:15:22Z",      "deleted_by_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "variant_count": 0,      "serving": {        "variant_id": "string",        "provider": "gateway",        "provider_model_id": "string",        "priority": 0,        "mirror_name": "string",        "mirror_missing": true,        "mirror_deprecated": true,        "vision": true,        "knowledge_cutoff": "string"      },      "unrunnable": true    }  ],  "total": 0,  "page": 0,  "page_size": 0,  "available_owners": [    "string"  ]}